<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:fitsSystemWindows="true">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <com.yidian.bcommon.widget.CommonTopBarView
            android:id="@+id/bv_top_bar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:CommonTopBarView_title_text="@string/account_title" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:gravity="center_vertical"
            android:paddingStart="20dp"
            android:text="@string/account_name"
            android:textColor="@color/gray_333"
            android:textSize="16sp"
            tools:ignore="RtlSymmetry" />

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/et_account"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp"
            android:background="@null"
            android:gravity="center_vertical"
            android:hint="@string/account_create_tips"
            android:singleLine="true"
            android:textColor="@color/gray_333"
            android:textColorHint="@color/account_hint"
            android:textCursorDrawable="@drawable/shape_bg_input_cursor"
            android:textSize="16sp"
            android:textStyle="bold" />

        <View
            android:id="@+id/v_divider"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp"
            android:background="@color/divider_white" />

        <TextView
            android:id="@+id/tv_error_tips"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:paddingTop="6dp"
            android:paddingBottom="6dp"
            android:text="@string/life_account_name_overrun_error_tips"
            android:textColor="@color/red_account_tips"
            android:textSize="12sp"
            android:visibility="gone"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/tv_post_name"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:gravity="center_vertical"
            android:paddingStart="20dp"
            android:text="@string/account_manager"
            android:textColor="@color/gray_333"
            android:textSize="16sp"
            tools:ignore="RtlSymmetry" />

        <TextView
            android:id="@+id/tv_user_name"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:gravity="center_vertical"
            android:paddingStart="20dp"
            android:textColor="@color/gray_333"
            android:textSize="16sp"
            android:textStyle="bold"
            tools:ignore="RtlSymmetry"
            tools:text="蓝小花15800000001" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp"
            android:background="@color/divider_white" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:gravity="center_vertical"
            android:paddingStart="20dp"
            android:paddingEnd="20dp"
            android:text="@string/account_create_desc"
            android:textColor="@color/color_999999"
            android:textSize="12sp"
            tools:ignore="RtlSymmetry" />
    </LinearLayout>

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/btn_create_account"
        android:layout_width="315dp"
        android:layout_height="44dp"
        android:layout_gravity="center_horizontal|bottom"
        android:layout_marginBottom="34dp"
        android:alpha="0.32"
        android:background="@drawable/account_btn_gradient_bg"
        android:gravity="center"
        android:text="@string/create_account"
        android:textColor="@color/white"
        android:textSize="18sp" />
</FrameLayout>